# Как добавить новый перевод на сайт selfprivacy?

1. Для начала создайте аккаунт в [нашей Gitea](https://git.selfprivacy.org/user/sign_up)

2. Перейдите в [репозиторий нашего сайта](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org), нажмите кнопку "Fork".
image.png

3. Ничего не меняем, подтверждаем нажимая "Fork Repository".
yes_fork.png

4. Устанавливаем [Git](https://git-scm.com/) себе на компьютер.

5. Клонируем репозиторий командой в терминале:

```git clone https://git.selfprivacy.org/ВАШ НИКНЕЙМ/selfprivacy.org```

6. Переходим в директорию проекта:

Для Unix:

```cd selfprivacy.org/content/```

Для Windows:

```dir selfprivacy.org\content\```

7. Создаем директорию для нового языка в директории "content":

```mkdir НОВЫЙ_ЯЗЫК```

8. Теперь можно добавлять файлы перевода в созданную директорию нового языка.

Важно: в директорию нового языка заносите только полностью переведенные файлы! То что осталось не переведенным никак не переносите.


# После перевода нужных файлов

Перед тем как публиковать изменения, соберите сайт локально и убедитесь что все статьи доступны и в переводе нет ошибок.

Для этого вам понадобится установить [Hugo](https://gohugo.io/) локально.
На GNU/Linux системах Hugo обычно доступен из репозитория.
С Windows все чуть сложнее, найти .exe файл вы сможете на [официальном сайте](https://gohugo.io/installation/windows/).

После установки перейдите в директорию проекта и выполните команду:

```hugo server```

В ответе вы увидите ссылку на локальный адрес (обычно ```https://localhost:1313), скопируйте ее в браузер.

# Как опубликовать изменения?

1. Выполните пару команд для создания коммита:

```git add all```

```git commit -m "НАЗВАНИЕ ВАШЕГО ИЗМЕНЕНИЯ"```

2. Теперь опубликуйте созданный коммит (понадобится вводить пароль):

```git push```


3. Перейдите по [ссылке](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org/pulls) и нажмите "New Pull Request".


new.png

4. В выпадающем меню найдите ваш репозиторий.

pull.png

5. Подтвердите, нажав "New Pull Request"

6. Заполните название, описание, и нажмите "Create Pull Request"


7. Готово! Теперь можно написать в чат, или напрямую в обсуждении упоминуть основных разработчиков SelfPrivacy.